Subject: [alpine-devel] radare2 license

From: Jose-Luis Rivas <[email-masked]>
Date: Sat, 27 Feb 2016 07:29:01 -0500

Hi,

I saw in the latest change we had to testing/radare2 that the license
got changed to LGPLv3, and even tho there's a copy of that one, there's
this doc that explains there are GPL-only bits on the source code [0].

So I wrote to pancake[1] on their IRC channel and told me:

> 07:04 < r2tg> <pancake> you can also build only the non-gpl plugins
> 07:04 < r2tg> <pancake> and make a separate pkg for the gpl ones

So we either re-license the full distributed binaries as GPL or we would
have to make the split.

I would say just ship it as GPL; tho that makes another question for me
at least: how do we double-license something? In debian there's an
specific file under `debian/` for this but how should be made in alpine?

[0] https://github.com/radare/radare2/blob/master/doc/license
[1] radare's author

-- 
⨳ PGP 0x13EC43EEB9AC8C43 ⨳ https://ghostbar.co